
/************************************************************************
 * This function paginates a file, displaying only a page at a time.
 * maintainer: James Hall
 */

int bioskey ()

{
    _AX_ = 0x0000;
    int86 (0x16);
    return (_AX_ & 0x00FF);
}

int pagef (FILE *p)

{
    int ul, Cols, Rows;
    char sz[MAX_STR];

	Cols = peekw(0x40, 0x4A);
	Rows = (peek(0x40, 0x84) ? peek (0x40, 0x84) + 1 : 25);

    /* Read from the input stream and paginate the output. */

    for (ul = 1; fgets (sz, MAX_STR, p) != NULL; ul++)
    {
        if (ul == (Rows))
        {
            ul = 1;
	    printf ("%s\r", PAGEF_PR);
            switch (bioskey ())
            {
	    case 3:
            case 27:
            case 'q':
                abort (1);
            case 'n':
                return (0);
            case 13:
                ul = Rows - 1;
            default:
                break;
            }
        }
        printf ("%s\n", sz);
    }

    printf ("%s", PAGEF_END);
    bioskey ();
    return (0);
}

