/*
    Source of the message handling library
    Copyright (C) 1995  Steffen Kaiser

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
   
*/
/* $RCSfile: msgfmter.c $
   $Locker: ska $	$Name: version2 $	$State: Rel $

	Issuing the format string error.

	E_hlpFmtStr is necessaryly staticly linked into the application's
	source code.

   $Log: msgfmter.c $
   Revision 1.1  1995/05/26 22:56:25  ska
   Initial revision

   Revision 1.5  1995/05/26 22:37:00  ska
   chg: header file name

   Revision 1.4  1995/04/21 04:35:46  ska
   version 1.0

   Revision 1.3  1995/04/21 04:11:29  ska
   chg: directory structure.

   Revision 1.2  1995/04/19 09:06:46  ska
   bugfix: recursion.

   Revision 1.1  1995/04/10 23:20:00  ska
   Initial revision

*/

#include <stdio.h>
#ifndef _MICROC_
#include <process.h>
#endif
#include "msglib.h"

#ifndef lint
static char const rcsid[] = 
	"$Id: msgfmter.c 1.1 1995/05/26 22:56:25 ska Rel ska $";
#endif

int __formatStringError(char *poi)
{	static int recurs = 0;

	poi[2] = '\0';
	if(recurs) {
		fprintf(stderr, E_hlpFmtStr, poi);
		exit(Nr_E_hlpFmtStr);
	}

	recurs = 1;
	error(E_fmtStr, poi);
	recurs = 0;
	return EOF;
}
