/*
    SWSUBST: Alternate CDS manipulator for MS-DOS
    Copyright (C) 1995 Steffen Kaiser

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/


/* $RCSfile: error.c $
   $Locker: ska $	$Name: version2 $	$State: Rel $

   Fehlerbehandlungsroutinen

   $Log: error.c $
   Revision 1.3  1995/05/27 00:04:01  ska
   add: check if internal data structure is OK.

   Revision 1.2  1995/05/24 09:31:11  ska
   add: support for message compiler.

   Revision 1.1  1995/03/09 15:44:08  ska
   Initial revision

*/

#pragma hdrfile "error.csm"
#include <dos.h>
#include <process.h>
#include <msglib.h>
#include "error.h"
#pragma hdrstop

#ifndef lint
static char const rcsid[] = 
	"$Id: error.c 1.3 1995/05/27 00:04:01 ska Rel ska $";
#endif

extern int join;
extern int dosish;

void hlpScreen(void)
{	if(dosish)
		message(stdout, join? E_JOIN_E: E_SUBST_E);
	else 
		message(stdout, E_hlpScreen, _argv[0], join? "/j": "/u");
	exit(msgErrorNumber(E_hlpScreen));
}

void chkStruc(void far *poi)
{	if(!poi)	fatal(E_struc);
}
