/*
    Source of the message handling library
    Copyright (C) 1995  Steffen Kaiser

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
   
*/
/* $RCSfile: msgputmc.c $
   $Locker: ska $	$Name: version2 $	$State: Exp $

	file stream put multiple character

	int fputmc(int c, int rep, FILE *fp);

	c: character
	rep: number of characters to dump
	fp: stream to dump to

	return: 0: OK
	       !0: not OK


   $Log: msgputmc.c $
   Revision 1.1  1995/05/26 22:53:58  ska
   Initial revision

   Revision 1.3  1995/05/26 22:37:43  ska
   chg: insert "const" modifier.

   Revision 1.2  1995/04/21 04:35:46  ska
   version 1.0

   Revision 1.1  1995/04/10 23:20:00  ska
   Initial revision

*/

#include <stdio.h>
#include <portable.h>

#ifndef lint
static char const rcsid[] = 
	"$Id: msgputmc.c 1.1 1995/05/26 22:53:58 ska Exp ska $";
#endif


int fputmc(const int c, int rep, FILE *fp)
{	while(rep--)
		if(fputc(c, fp) != c)
			return 1;

	return 0;
}
